package fanch.multijeu.findwords.data.checker;

import fanch.multijeu.common.core.DataLoader;
import fanch.multijeu.findwords.data.dictionaire.Dictionaire;

public interface WordCheckerList extends DataLoader.ISaveable {

    WordChecker  next(Dictionaire dico);
    WordChecker  peek();
    boolean     hasNext();
    void        reset();
}
